# Interface LooseWorkWithExtrinsics

interface LooseWorkWithExtrinsics {
baseURL?: string;
jsonp?: boolean;
shortPath?: boolean;
transform?: number[] | Matrix4;
work: LooseWork;
workCode?: string | ((input: any) => string);
}

#### Hierarchy (View Summary)

- ParseOptions
  - LooseWorkWithExtrinsics

- Defined in lib/five/work/looseWorkType.ts:99

##### Index

### Properties

baseURL?
jsonp?
shortPath?
transform?
work
workCode?

## Properties

### `Optional` baseURL

baseURL?: string

重写资源前缀

Inherited from ParseOptions.baseURL

- Defined in lib/five/work/work.ts:338

### `Optional` jsonp

jsonp?: boolean

资源使用 jsonp 方式发布

Inherited from ParseOptions.jsonp

- Defined in lib/five/work/work.ts:344

### `Optional` shortPath

shortPath?: boolean

资源地址使用短地址

Inherited from ParseOptions.shortPath

- Defined in lib/five/work/work.ts:341

### `Optional` transform

transform?: number[] | Matrix4

位姿

Inherited from ParseOptions.transform

- Defined in lib/five/work/work.ts:332

### work

work: LooseWork

work 数据

- Defined in lib/five/work/looseWorkType.ts:101

### `Optional` workCode

workCode?: string | ((input: any) => string)

重置 WorkCode

Inherited from ParseOptions.workCode

- Defined in lib/five/work/work.ts:335